python-lldb-6.0_6.0-1ubuntu2_i386.deb


Advertisement

Description

python-lldb-6.0 - Next generation, high-performance debugger, python lib

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-lldb-6.0_6.0-1ubuntu2_i386.deb
Package name python-lldb-6.0
Package version 6.0
Package release 1ubuntu2
Package architecture i386
Package type deb
Category universe/python
Homepage http://www.llvm.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 94.57 KB
Installed size 747.00 KB
LLDB is a next generation, high-performance debugger. It is built as a set of
reusable components which highly leverage existing libraries in the larger LLVM
Project, such as the Clang expression parser and LLVM disassembler.
This binding package provides access to lldb.

Alternatives

Package Version Architecture Repository
python-lldb-6.0_6.0-1ubuntu2_amd64.deb 6.0 amd64 Ubuntu Universe
python-lldb-6.0 - - -

Requires

Name Value
python -
python-six -

Provides

Name Value
python-lldb-x.y -

Conflicts

Name Value
python-lldb-3.8 -
python-lldb-3.9 -
python-lldb-x.y -

Replaces

Name Value
python-lldb-x.y -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-lldb-6.0_6.0-1ubuntu2_i386.deb
Source Package llvm-toolchain-6.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-lldb-6.0 deb package:
    # sudo apt-get install python-lldb-6.0

Files

Path
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/__init__.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/_lldb.so
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/embedded_interpreter.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/libLLVM-6.0.0.so.1
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/libLLVM-6.0.so.1
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/lldb-argdumper
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/Logger.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/__init__.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/attrib_fromdict.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/cache.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/metrics.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/synth.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/cpp/__init__.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/cpp/gnu_libstdcpp.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/formatters/cpp/libcxx.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/runtime/__init__.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/utils/__init__.py
/usr/lib/llvm-6.0/lib/python2.7/site-packages/lldb/utils/symbolication.py
/usr/lib/python2.7/dist-packages/lldb
/usr/share/doc/python-lldb-6.0/NEWS.Debian.gz
/usr/share/doc/python-lldb-6.0/changelog.Debian.gz
/usr/share/doc/python-lldb-6.0/copyright

Changelog

2018-04-05 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
llvm-toolchain-6.0 (1:6.0-1ubuntu2) bionic; urgency=medium
* debian/patches/install-lldb-sb-headers.patch: Install lldb's
SB headers (pr36630).  Thanks to Pavel Labath <labath@google.com>.
LP: #1761009
2018-03-12 - Matthias Klose <doko@ubuntu.com>
llvm-toolchain-6.0 (1:6.0-1ubuntu1) bionic; urgency=medium
* Don't run the Sanitizer tests on the Ubuntu buildds, timing out.
2018-03-02 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-6.0 (1:6.0-1) unstable; urgency=medium
* New upstream release
2018-02-26 - James Clarke <jrtc27@debian.org>
llvm-toolchain-6.0 (1:6.0~+rc3-1) unstable; urgency=medium
[ Sylvestre Ledru ]
* New snapshot release
* Move the VCS to git.
Many thanks to James Clarke for doing the conversion
* Create the directory before having the manpages generated
[ John Paul Adrian Glaubitz ]
* Add proposed upstream patch by James Clarke to add the
missing __tls_get_addr symbol to the symbol table for
TLS calls on SPARC (Closes: #890401)
[ James Clarke ]
* Disable LLDB on powerpcspe
2018-02-07 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-6.0 (1:6.0~+rc2-1) unstable; urgency=medium
* New snapshot release
- should fix the FTBFS on arm64 (Closes: #888877)
* Also ignore comdat.ll test failure in silent-gold-test.diff. see
https://bugs.llvm.org/show_bug.cgi?id=36166
* Remove the python-lldb-6.0 dep to liblldb-6.0-dev to remove the
circular dependency (Closes: #876015)
* Mark liblldb-6.0-dbg conflict with liblldb-7-dbg
(Closes: #888057)
2018-01-18 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-6.0 (1:6.0~+rc1-1) unstable; urgency=medium
* New snapshot release
* Update of the clang-tools-X.Y description
2018-01-03 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-6.0 (1:6.0~svn321745-1~exp1) experimental; urgency=medium
* Upload the new package (upstream just branched)
2017-12-22 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-snapshot (1:6.0~svn321385-1) unstable; urgency=medium
* Snapshot upload before rc1 (January)
* Create clang-tools-6.0 and move the various clang tools into it
clang-tools-6.0 depends on clang-6.0. This might affect some packages.
(Closes: #836397)
* Bring back the libedit support in lldb
Fix upstream bug https://bugs.llvm.org/show_bug.cgi?id=35291
* Also ship ld64.lld and wasm-ld in the lld-X.Y package
* Update d/rules to reflect the move of libfuzzer into compiler-rt
* Update of the copyright file (Closes: #878502)
Thanks to Nicholas D Steeves for the work
* Try to fix the mipsel FTBFS (Closes: #877567)
I am trying the first option from the bug:
- gsplit-dward on 32 bits archs
- -g everywhere
Many thanks to Adrian Bunk for that
* Use ?= for some variables declarations
* Remove the hardcoded declarations of llvm version in debian/rules
* add /usr/lib/cuda to the CUDA toolkit search paths
Thanks to Andreas Beckmann for the patch (Closes: #882505) (LP: #1706326)
* Fix the fix-scan-view-path.diff path
* Move libomp-dev from Suggests to Recommends (Closes: #882781)
* Add a symlink to fix lldb-X.Y (Closes: #881993)
* Remove update-cuda-search-path.patch (applied upstream)
* Also install usr/bin/lldb-test-6.0
* liblld-6.0-dev depends on liblld-6.0 (Closes: #856545)
* Add new symbols for libclang1:
- clang_CXIndex_setInvocationEmissionPathOption
- clang_CXXRecord_isAbstract
- clang_Cursor_getObjCManglings
- clang_getCursorTLSKind
* add test-keep-alive.diff to improve the keep alive for some
archs like mips*
* Standards-Version: 4.1.1
* remove liblld-6.0-dbg for now

See Also

Package Description
python-llfuse-doc_1.3.3+dfsg-3_all.deb Python bindings for the low-level FUSE API (documentation)
python-llfuse_1.3.3+dfsg-3_i386.deb Python bindings for the low-level FUSE API
python-llvmlite_0.19.0-2_i386.deb LLVM Python binding for writing JIT compilers
python-lmdb_0.86-1build4_i386.deb Python binding for LMDB Lightning Memory-Mapped Database
python-lmfit-doc_0.9.7+dfsg-1_all.deb Least-Squares Minimization with Constraints (Documentation)
python-lmfit_0.9.7+dfsg-1_all.deb Least-Squares Minimization with Constraints (Python 2)
python-logbook-doc_0.12.3-1_all.deb logging system for Python that replaces the standard library's module (doc)
python-logbook_0.12.3-1_all.deb logging system for Python that replaces the standard library's module
python-logging-tree_1.4-1_all.deb introspect and display the logging tree in Python
python-loggingx_0.1.3-1.1build1_all.deb Generic utilities for the Python logging facility
python-logilab-common_1.4.1-1_all.deb useful miscellaneous modules used by Logilab projects
python-logilab-constraint_0.5.0-2_all.deb constraints satisfaction solver in Python
python-logsparser_0.4-1_all.deb Python library for log parsing, tagging and analysis
python-loofah_0.1-1_all.deb debile helper to rebuild a set of existing packages
python-louie_1.1-4_all.deb Python signal dispatching mechanism
Advertisement
Advertisement